Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#42603 closed defect (fixed)

okular @4.12.2: Unable to find the Okular component

Reported by: leandroal@… Owned by: NicosPavlov
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc:
Port: okular

Description (last modified by ryandesign (Ryan Schmidt))

I use macports in Mavericks and until yesterday everything was working great, but today I tried to open Okular and an error occur: "Unable to find the Okular component". I uninstalled all installed ports, and macports. Then, I reinstalled everything again, no luck. In my last tentative, I also remove all the directory KDE in /Library/Preferences.

Any suggestion? When I try to run Okular on the terminal, I get "okular[6024:507] modalSession has been exited prematurely - check for a reentrant call to endModalSession:"

In both case, an empty window is shown up after I press ok button of the alert "Unable to find the Okular component".

For reference:
/Applications/MacPorts/KDE4/okular.app/Contents/MacOS/okular --version
Qt: 4.8.5
KDE Development Platform: 4.12.2
Okular: 0.18.2

Things that I remember that I did before this problem: Installed vlc +atlas+docs+gcc48, installed octave and rename computer name
Any clue? I also made sure that the plist files are loaded

Change History (6)

comment:1 Changed 6 years ago by leandroal@…

Cc: leandroal@… added

Cc Me!

comment:2 Changed 6 years ago by neverpanic (Clemens Lang)

Cc: leandroal@… removed
Owner: changed from macports-tickets@… to nicos@…
Port: @4.12.2 removed

Please Cc the maintainer when reporting bugs against ports. You don't have to cc yourself. Seems to be a regression: #40530.

comment:3 Changed 6 years ago by leandroal@…

After all the day investigating the problem, @neverpanic (Clemens Lang) did a great job. We tried and discussed many situations until @neverpanic was able to reproduce the problem and discovered that it is a problem with library extention.

This problem is fixed by running the following command:

    cd /opt/local/lib/kde4 && sudo ln -s okularpart.dylib okularpart.so
Last edited 6 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:4 Changed 6 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Summary: Problem in Okular: can't find component.okular @4.12.2: Unable to find the Okular component

comment:5 Changed 6 years ago by NicosPavlov

Resolution: fixed
Status: newclosed

Thanks for the feedback, and the detailed solution. I committed it in r117362.

comment:6 in reply to:  5 Changed 6 years ago by leandroal@…

Replying to nicos@…:

Thanks for the feedback, and the detailed solution. I committed it in r117362.

You're welcome! Thank you too for pushing the fix to upstream.

Note: See TracTickets for help on using tickets.